package com.ai.bss.es.esmanage.utils;

/**
 * 公共常量类
 *
 * @author chencai
 */
public class CommonConsts {
    /**
     * 接口调用返回的成功编码
     */
    public static final String RESULT_CODE_SUCCESSFUL = "0";

    /**
     * 接口调用返回的失败编码
     */
    public static final String RESULT_CODE_FAILED = "1";

    /**
     * 接口调用返回的成功描述信息
     */
    public static final String RESULT_MSG_SUCCESSFUL = "成功";

    /**
     * 接口调用返回的失败的描述信息
     */
    public static final String RESULT_MSG_FAILED = "失败";

    /**
     * CSV文件列分隔符
     */
    public static final String CSV_COLUMN_SEPARATOR = ",";
    public static final String CSV_COLUMN_SEPARATOR2 = "|";


    /**
     * CSV文件列分隔符
     */
    public static final String CSV_RN = "\r\n";

    /**
     * 最小误差
     */
    public static final double EPSILON = 0.00000000000000022204;

    /**
     * 时间格式转化 yyyyMMdd_HHmmss
     */
    public static final String DATE_FORMAT_YYYYMMDD_HHMMSS = "yyyyMMdd_HHmmss";

    /**
     * 时间格式转化 yyyyMM
     */
    public static final String DATE_FORMAT_YYYYMM = "yyyyMM";

    /**
     * 时间格式转化 yyyyMMdd
     */
    public static final String DATE_FORMAT_YYYYMMDD = "yyyyMMdd";

    /**
     *
     */
    public static final String RESULT_MSG_CREATE_CSV_FAILED = "生成csv文件失败";

    /**
     * uspa组织类型-基础平台
     */
    public static final String USPA_ORG_TYPE_PLATFORM_ORG = "PLATFORM_ORG";

    /**
     * uspa组织类型-行业云
     */
    public static final String USPA_ORG_TYPE_INDUSTRY_ORG = "INDUSTRY_ORG";

    /**
     * uspa组织类型-客户
     */
    public static final String USPA_ORG_TYPE_CUSTOMER_ORG = "CUSTOMER_ORG";



    public static final String CHARSET_UTF8 = "UTF-8";


    public static final String HTTP_CONTENT_TYPE_JSON = "application/json; charset=utf-8";

    private CommonConsts() {}


//
//    /** 
//     * callsTimesMap存放方法被调用的次数O 
//     */
//    public  static ThreadLocal<Map<String, Long >> callsTimesMap = new ThreadLocal<Map<String, Long>>();// new ThreadLocal<>();
//    /** 
//     * methodTotalTmieMap存放方法总耗时 
//     */
//    public  static ThreadLocal<Map<String, Long >> methodTotalTmieMap = new ThreadLocal<Map<String, Long>>();
}
